Empathy can't connect to Windows Live

Bug #929228 reported by JG on 2012-02-09
50
This bug affects 11 people
Affects Status Importance Assigned to Milestone
telepathy-gabble
Won't Fix
Medium
telepathy-butterfly (Ubuntu)
Low
Unassigned
telepathy-gabble (Debian)
Confirmed
Unknown

Bug Description

I just upgraded my system to the latest updates which fixed the Windows Live issue with gnome-control-center in Online Accounts. But when I set it up and opened empathy which was supposed to be able to use the Windows Live account, it gave me 2 messages about an untrusted connection, which I accepted, and it was unable to connect to Windows Live.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: empathy 3.3.5-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-14.23-generic 3.2.3
Uname: Linux 3.2.0-14-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 1.91-0ubuntu1
Architecture: amd64
Date: Wed Feb 8 16:10:28 2012
EcryptfsInUse: Yes
ExecutablePath: /usr/bin/empathy
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: empathy
UpgradeStatus: Upgraded to precise on 2012-01-28 (11 days ago)

JG (jdogzz-g5) wrote :
JG (jdogzz-g5) wrote :

Here is the debug log for when I tried to reconnect to Windows Live.

Bilal Shahid (s9iper1) wrote :

thanks for the bug report to make ubuntu better.
the bug is not in empathy its telepathy-butterfly..
can you attach the screenshot of the error?

affects: empathy (Ubuntu) → telepathy-butterfly (Ubuntu)
Changed in telepathy-butterfly (Ubuntu):
importance: Undecided → Low
status: New → Incomplete
JG (jdogzz-g5) wrote :

Here's a screenshot of the error I'm getting.

Bilal Shahid (s9iper1) wrote :

ok thanks for the screenshot.i am here not be able to reproduce it. here working fine but one bug i have seen that contacts not appear online if they are online.that is this one bug bug #925353
ckeck the connection state .password and update the system.

see thats working fine after i dont know what happen
freedesktop/Telepathy/Connection/gabble/jabber/messenger_2elive_2ecom_2f52b04653_5f0x8c26c0: Early Get(Statuses) succeeded
mcd-DEBUG: 02/08/2012 16:09:52.359596: presence_get_statuses_cb: account gabble/jabber/goa_windows_live_account_1328746060:
mcd-DEBUG: 02/08/2012 16:09:52.359668: presence_get_statuses_cb: offline
mcd-DEBUG: 02/08/2012 16:09:52.359738: presence_get_statuses_cb: chat
mcd-DEBUG: 02/08/2012 16:09:52.359798: presence_get_statuses_cb: xa
mcd-DEBUG: 02/08/2012 16:09:52.359863: presence_get_statuses_cb: unknown
mcd-DEBUG: 02/08/2012 16:09:52.359927: presence_get_statuses_cb: error
mcd-DEBUG: 02/08/2012 16:09:52.359992: presence_get_statuses_cb: hidden
mcd-DEBUG: 02/08/2012 16:09:52.360058: presence_get_statuses_cb: available
mcd-DEBUG: 02/08/2012 16:09:52.360124: presence_get_statuses_cb: away
mcd-DEBUG: 02/08/2012 16:09:52.360188: presence_get_statuses_cb: dnd

I just upgraded my system to the latest updates which fixed the Windows Live issue with gnome-control-center in Online Accounts. But when I set it up and opened empathy which was supposed to be able to use the Windows Live account, it gave me 2 messages about an untrusted connection, which I accepted, and it was unable to connect to Windows Live.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: empathy 3.3.5-0ubuntu1
reporter MC log:
https://launchpadlibrarian.net/92358555/mission-control-08-02-12_16-09-51.log
 screenshot at :
https://launchpadlibrarian.net/92466069/Screenshot%20at%202012-02-09%2017%3A47%3A32.png
butterfly log :
 https://launchpadlibrarian.net/92560281/butterfly%20%28msn%29-11-02-12_03-47-38.log

Anderson (andersonkoerich-live) wrote :

In empathy 3.3.5 it don't use telepathy-butterfly because it is deprecated, now it use the jabber protocol, the same that facebook uses, and for me it gives the same error.

thanks.
A. Koerich.

Bilal Shahid (s9iper1) wrote :

hmm so in the end i have find out that bug.attaching the debug log with the bug.
thanks

Bilal Shahid (s9iper1) wrote :
Bilal Shahid (s9iper1) wrote :

i have send this bug to upstream you please subscribe to that bug and make comments and answer them

Changed in telepathy-butterfly (Ubuntu):
status: Incomplete → Confirmed
status: Confirmed → Triaged
Changed in telepathy-butterfly:
importance: Unknown → Medium
status: Unknown → Confirmed

This does not use telepathy-butterfly, but telepathy-gabble. Could you please attach gabble logs?

Created attachment 60307
gabble failing connection to Windows Live

attaching log;

according to IRC: is _not_ be related to "see-other-host" implementation ( http://social.msdn.microsoft.com/Forums/en-US/messengerconnect/thread/5a0ca19f-46d5-4c23-9921-8b032d562c2e )

I was able to connect today just _once_ to Windows Live using XMPP.

I can't connect again even after redoing the steps.

Even so, here are the steps I've done:
Go to https://profile.live.com/home/Services/?view=manage , delete all "Gnome".
Go to "Passwords and Keys", check if anything remotely like an "Online Account" entry gone bad is there (I had two for "Windows Live" there even though I had only one "Windows Live" account)
Go to "Online Accounts", delete all "Windows Live".
Re-add "Windows Live".
Try to connect. It may work.

EDIT after writing: I was able to connect two additional times. Unfortunately, I couldn't get a good log for comparison and subsequent attempts failed.

I got a log for a successful connect!

Is it possible that a gabble plugin/thread is spawned twice hence reading the buffer in an out of order fashion?

On the SUCCESS log, only one init of gabble is found.
On the FAIL log, two inits are found.

I'll attach snippets of them.

Created attachment 60479
failed connect

Created attachment 60480
success connect

Changed in telepathy-butterfly:
status: Confirmed → Incomplete

Created attachment 61449
Failed connection attempt

I think I'm affected by the same bug.
I've used Gnome Online Accounts to connect to my Windows Live account yesterday.

I've was online yesterday but today when my laptop woke from suspend I just keep getting "Network error".

I've tried closing empathy and killing all processes containing the name telepathy and mission-control. The connection still fails.

I've attached a log file.
I cleared the log
Hit reconnect
When I got the error again I pressed pause and saved the log to a file.

Let me know if you want me to try stuff out.

affects: telepathy-butterfly → telepathy-gabble
Changed in telepathy-gabble (Debian):
status: Unknown → New

I now have another issue that prevent me to connect, it is bug #51033. Please check your gabble logs if you have "see-other-host" there.

Changed in telepathy-gabble (Debian):
status: New → Confirmed

Yes, now I have:

_end_element_ns: Received stanza
* error xmlns='http://etherx.jabber.org/streams'
    * see-other-host xmlns='urn:ietf:params:xml:ns:xmpp-streams'
        "BAYMSG1020321.gateway.edge.messenger.live.com"

connector_error_disconnect (connection.c:1772): connection failed: WOCKY_XMPP_STREAM_ERROR_SEE_OTHER_HOST (#17):

I'll subscribe bug #51033 and ignore this one for now (since "see-other-host" didn't appear before).

If after bug #51033 is fixed I still can't connect I'll repost here.

Let's close this bug, MS dev claims they fixed it and in any case it's not gabble's fault but server's.

Nowadays the issue is the lack of support for see-other-host, which is our fault and tracked in bug #51033

Changed in telepathy-gabble:
status: Incomplete → Won't Fix
Bilal Shahid (s9iper1) on 2012-06-21
Changed in telepathy-butterfly (Ubuntu):
status: Triaged → Won't Fix

Sorry, now that see-other-host is fixed, I get this error again.

I was able to connect once and afterwards it failed subsequent attempts.

connector_error_disconnect (connection.c:1772): connection failed: WOCKY_CONNECTOR_ERROR_SESSION_FAILED (#14): Session iq response invalid
connector_error_disconnect (connection.c:1772): connection failed: WOCKY_CONNECTOR_ERROR_SESSION_FAILED (#14): Session iq response invalid

(as usual, duplicated entries)

(In reply to comment #12)
> Sorry, now that see-other-host is fixed, I get this error again.
>
> I was able to connect once and afterwards it failed subsequent attempts.
>
> connector_error_disconnect (connection.c:1772): connection failed:
> WOCKY_CONNECTOR_ERROR_SESSION_FAILED (#14): Session iq response invalid
> connector_error_disconnect (connection.c:1772): connection failed:
> WOCKY_CONNECTOR_ERROR_SESSION_FAILED (#14): Session iq response invalid
>
> (as usual, duplicated entries)

That issue is not related. It is server's fault and Microsoft is working on fixing it. See http://social.msdn.microsoft.com/Forums/en-US/messengerconnect/thread/cf5721a8-fd4f-4bc2-8f8f-78edd4caec64

Retry to connect, and after a few attempts it usually works. I've also noticed that not connecting the same account from other places helps.

Actually resolution is NOTOUTBUG, not FIXED. There is nothing we can do about this.

Ah ok sorry. I reopened it because I thought it was already fixed server side. I had failed to see your later replies since June 19 on that link.

Sorry for the noise and thanks for the clarification :)

Forage (forage) wrote :

What does it take to get telepathy-gabble updated to 0.16.1 in Ubuntu 12.04? The Windows Live connection issues are fixed now (see https://bugs.freedesktop.org/show_bug.cgi?id=51033), but Ubuntu 12.04 users are still without Windows Live for several months.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.